#ifndef SINGLECHOICEQUESTION_H
#define SINGLECHOICEQUESTION_H

#include <QString>
#include <QVector>
#include <QDomDocument>
#include <QLabel>
#include <QList>
#include "Question.h"

class Qtimer;
class QPushButton;
class QRadioButton;
class QLabel;

class SingleChoiceQuestion : public Question
{
    protected:
        QVector<QString> opciones;
        QList<QRadioButton *> m_radios;
        QTimer * timer,* timerLabel;
        QString stringLabelTime, tempScore;
        QPushButton *pushButton, *pushButton_2;
        QLabel *labelTimer, *labelScore;

    public:
        SingleChoiceQuestion(const QString& duration, QPushButton *bottonContinueE);
        virtual ~SingleChoiceQuestion() { }
        virtual bool loadFromNode(const QDomElement& element);
        virtual QString print() const;
        virtual bool aplicar(int &userScoreE);

public slots:
    virtual void check();
    virtual void remainingTimeAnswer();

};

#endif // SINGLECHOICEQUESTION_H
